%define name msgdup
%define sourcename msgdup
%define version 0.1
%define release    %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
                                                                                
Summary: Message duptool.
Name: %{name}
Version: %{version}
Release: 3%{?dist}
License: GPL
Group: Applications/Network
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Source: https://repo.vermare.nl/yum/el7/base/sources/%{name}-%{version}.tgz 
BuildRequires: gcc, gcc-c++, sqlite-devel, libpcap-devel, readline-devel
Requires: glibc >= 2.17, libgcc, libpcap, libstdc++, ncurses-libs, readline, sqlite
Vendor: Worldline
Packager: R.W.H. Vermare rene@vermare.nl

%description
Command-line tool to capture network messages and store them in database,
(Sqlite3).

%prep
%setup

%build
make 

%install
mkdir -p $RPM_BUILD_ROOT/usr/local/bin

install -s -m 755 msgdup msgdupd $RPM_BUILD_ROOT/usr/local/bin
install -m 644 msgdupd.db config.sql $RPM_BUILD_ROOT/usr/local/bin

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files
/usr/local/bin/*

%changelog
* Fri Mar 10 2017 René Vermare <rene@vermare.nl> - 0.1-3
- Add config.sql to package

* Fri Mar 10 2017 René Vermare <rene@vermare.nl> - 0.1-2
- Correct libstdc++ dependency (el7) 

* Fri Mar 10 2017 René Vermare <rene@vermare.nl> - 0.1-1
- Package for x86_64 arch. (el7)
- Correct directory tree in package

* Fri Mar 10 2017 René Vermare <rene@vermare.nl> - 0.1-0
- Package for x86_64 arch. (el7) 
